libcoap 4.3.2rc2

Functions
coap_str.c File Reference

String handling functions. More...

`#include "coap3/coap_internal.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
coap_string_t * | coap_new_string (size_t size)
| Returns a new string object with at least size+1 bytes storage allocated. More...
void | coap_delete_string (coap_string_t *s)
| Deletes the given string and releases any memory allocated. More...
coap_str_const_t * | coap_new_str_const (const uint8_t *data, size_t size)
| Returns a new const string object with at least size+1 bytes storage allocated, and the provided data copied into the string object. More...
void | coap_delete_str_const (coap_str_const_t *s)
| Deletes the given const string and releases any memory allocated. More...
coap_str_const_t * | coap_make_str_const (const char *string)
| Take the specified byte array (text) and create a coap_str_const_t *. More...
coap_binary_t * | coap_new_binary (size_t size)
| Returns a new binary object with at least size bytes storage allocated. More...
coap_binary_t * | coap_resize_binary (coap_binary_t *s, size_t size)
| Resizes the given coap_binary_t object. More...
void | coap_delete_binary (coap_binary_t *s)
| Deletes the given coap_binary_t object and releases any memory allocated. More...
coap_bin_const_t * | coap_new_bin_const (const uint8_t *data, size_t size)
| Take the specified byte array (text) and create a coap_bin_const_t * Returns a new const binary object with at least size bytes storage allocated, and the provided data copied into the binary object. More...
void | coap_delete_bin_const (coap_bin_const_t *s)
| Deletes the given const binary data and releases any memory allocated. More...

## Detailed Description

String handling functions.

Definition in file coap_str.c.